## qmmp 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11 FATAL_ERROR)

#freebsd support
include_directories(SYSTEM /usr/local/include)
SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} /usr/local/include)

#macports support
IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} /opt/local/include)
ENDIF()

IF(POLICY CMP0071)
  cmake_policy(SET CMP0071 NEW)
ENDIF()

IF(POLICY CMP0063)
cmake_policy(SET CMP0063 NEW)
ENDIF()

#Qt5 modules
SET(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} /opt/qt512/lib/cmake)

#installation paths
include(GNUInstallDirs)

#extract version from qmmp.h
FILE(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/src/qmmp/qmmp.h"
     QMMP_VERSION_DATA REGEX "^#define[ \t]+QMMP_VERSION_[A-Z]+[ \t]+[0-9]+.*$")

IF(QMMP_VERSION_DATA)
   FOREACH(item IN ITEMS MAJOR MINOR PATCH STABLE)
      STRING(REGEX REPLACE ".*#define[ \t]+QMMP_VERSION_${item}[ \t]+([0-9]+).*"
       "\\1" QMMP_VERSION_${item} ${QMMP_VERSION_DATA})
   ENDFOREACH(item IN ITEMS MAJOR MINOR PATCH)
   SET(QMMP_VERSION "${QMMP_VERSION_MAJOR}.${QMMP_VERSION_MINOR}.${QMMP_VERSION_PATCH}")
   SET(QMMP_SOVERSION "${QMMP_VERSION_MAJOR}")
   IF(QMMP_VERSION_STABLE)
      MESSAGE(STATUS "Qmmp API version: ${QMMP_VERSION} (stable)")
   ELSE(QMMP_VERSION_STABLE)
      MESSAGE(STATUS "Qmmp API version: ${QMMP_VERSION} (development)")
   ENDIF(QMMP_VERSION_STABLE)
ELSE(QMMP_VERSION_DATA)
   MESSAGE(FATAL_ERROR "invalid header")
ENDIF(QMMP_VERSION_DATA)

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

INCLUDE(FindPkgConfig)
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
find_package(Qt5Widgets 5.4.0 REQUIRED)
find_package(Qt5LinguistTools 5.4.0 REQUIRED)
find_package(Qt5Network 5.4.0 REQUIRED)
find_package(Qt5X11Extras 5.4.0)
find_package(Qt5DBus 5.4.0)
find_package(Qt5Multimedia 5.4.0)
find_package(Qt5Sql 5.4.0)
find_package(QtWinExtras 5.4.0)
ADD_DEFINITIONS(-DQMMP_WS_X11)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
set(CMAKE_CXX_STANDARD 11)

get_target_property(QT_LRELEASE_EXECUTABLE Qt5::lrelease IMPORTED_LOCATION)

IF(QT_LRELEASE_EXECUTABLE)
MESSAGE(STATUS "Found lrelease executable: " ${QT_LRELEASE_EXECUTABLE})
ELSE(QT_LRELEASE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Could NOT find lrelease executable")
ENDIF(QT_LRELEASE_EXECUTABLE)

MESSAGE(STATUS "Generating translations ...")
IF(SVN_VERSION)
execute_process(COMMAND find ${CMAKE_CURRENT_SOURCE_DIR} -name *.ts COMMAND xargs ${QT_LRELEASE_EXECUTABLE} -silent -nounfinished)
ELSE(SVN_VERSION)
execute_process(COMMAND find ${CMAKE_CURRENT_SOURCE_DIR} -name *.ts COMMAND xargs ${QT_LRELEASE_EXECUTABLE} -silent)
ENDIF(SVN_VERSION)

get_target_property(QT_LIBRARY_DIR Qt5::Core LOCATION)
get_filename_component(QT_LIBRARY_DIR ${QT_LIBRARY_DIR} PATH)

SET(PLUGIN_DIR "${CMAKE_INSTALL_LIBDIR}/qmmp-${QMMP_VERSION_MAJOR}.${QMMP_VERSION_MINOR}" CACHE STRING "plugin path")
SET(USE_SKINNED TRUE CACHE BOOL "enable/disable standard skinned user interface")
SET(USE_DIR_ASSOC TRUE CACHE BOOL "enable/disable inode/directory mime type association")
#SET(APP_NAME_SUFFIX "-1")

pkg_search_module(X11 x11)

add_subdirectory(src/qmmp)
add_subdirectory(src/qmmpui)
add_subdirectory(src/plugins)
add_subdirectory(src/app)

IF(MAD_FOUND)
  SET(MPEG_DECODERS "MAD")
ENDIF(MAD_FOUND)

IF(MPG123_FOUND)
  SET(MPEG_DECODERS ${MPEG_DECODERS} "mpg123")
ENDIF(MPG123_FOUND)

MACRO(PRINT_SUMMARY str USE FOUND)
IF(${USE} AND ${FOUND})
MESSAGE("${str}enabled")
ELSE(${USE} AND ${FOUND})
MESSAGE("${str}disabled")
ENDIF(${USE} AND ${FOUND})
ENDMACRO(PRINT_SUMMARY)

IF (UNIX)
ADD_CUSTOM_TARGET (distclean @echo cleaning for source distribution)

ADD_CUSTOM_COMMAND(
    COMMENT "distribution clean"
    COMMAND make
    ARGS -C ${CMAKE_CURRENT_BINARY_DIR} clean
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "CMakeCache.txt" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "CMakeFiles" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "Makefile" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name \"*.cmake\" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_SOURCE_DIR} -name "*.qm" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*.pc" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*.depends" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*.cxx_parameters" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "moc_*.cpp" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "qrc_*.cxx" | xargs rm -rf
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*_automoc.cpp" | xargs rm -rf
    COMMAND rm
    ARGS -rf ${CMAKE_CURRENT_BINARY_DIR}/install_manifest.txt
    COMMAND find
    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name *_automoc.dir | xargs rm -rf
    TARGET  distclean
)
ENDIF(UNIX)


MESSAGE("")
MESSAGE("Transports:")
PRINT_SUMMARY ("HTTP support .........................." USE_CURL CURL_FOUND)
PRINT_SUMMARY ("MMS support ..........................." USE_MMS MMS_FOUND)

MESSAGE("")
MESSAGE("Input Plugins:")
PRINT_SUMMARY ("MPEG support .........................." 1 MAD_FOUND OR MPG123_FOUND)
PRINT_SUMMARY ("FLAC support .........................." USE_FLAC FLAC_FOUND)
PRINT_SUMMARY ("Ogg Vorbis support ...................." USE_VORBIS VORBIS_FOUND)
PRINT_SUMMARY ("Musepack support ......................" USE_MPC MPC_FOUND)
PRINT_SUMMARY ("MOD support ..........................." USE_MODPLUG MODPLUG_FOUND)
PRINT_SUMMARY ("Wave support .........................." USE_SNDFILE SNDFILE_FOUND)
PRINT_SUMMARY ("WavPack support ......................." USE_WAVPACK WAVPACK_FOUND)
PRINT_SUMMARY ("FFmpeg/Libav support .................." USE_FFMPEG FFMPEG_FOUND)
PRINT_SUMMARY ("AAC support ..........................." USE_AAC FAAD_FOUND)
PRINT_SUMMARY ("CUE sheet support ....................." USE_CUE 1)
PRINT_SUMMARY ("Mplayer support ......................." USE_MPLAYER 1)
PRINT_SUMMARY ("CD Audio support ......................" USE_CDA CDIO_FOUND)
PRINT_SUMMARY ("Midi support .........................." USE_MIDI WILDMIDI_FOUND)
PRINT_SUMMARY ("Game music support ...................." USE_GME GME_FOUND)
PRINT_SUMMARY ("Ogg Opus support ......................" USE_OPUS OPUS_FOUND)
PRINT_SUMMARY ("SID support ..........................." USE_SID SIDPLAYFP_FOUND)
PRINT_SUMMARY ("Archive support ......................." USE_ARCHIVE LIBARCHIVE_FOUND)

MESSAGE("")
MESSAGE("Output Plugins:")
PRINT_SUMMARY ("ALSA support .........................." USE_ALSA ALSA_FOUND)
PRINT_SUMMARY ("OSS support ..........................." USE_OSS 1)
PRINT_SUMMARY ("OSS4 support .........................." USE_OSS4 OSS4_FOUND)
PRINT_SUMMARY ("JACK support .........................." USE_JACK JACK_FOUND)
PRINT_SUMMARY ("PulseAudio support ...................." USE_PULSE PULSE_FOUND)
PRINT_SUMMARY ("Null output support ..................." USE_NULL 1)
PRINT_SUMMARY ("Waveout support (Windows) ............." USE_WAVEOUT WINDOWS_H_FOUND)
PRINT_SUMMARY ("DirectSound support (Windows) ........." USE_DSOUND DSOUND_H_FOUND)
PRINT_SUMMARY ("WASAPI support (Windows) .............." USE_WASAPI WASAPI_FOUND)
PRINT_SUMMARY ("Qt Multimedia support ................." USE_QTMULTIMEDIA Qt5Multimedia_FOUND)
PRINT_SUMMARY ("Icecast support ......................." USE_SHOUT SHOUT_FOUND)

MESSAGE("")
MESSAGE("Effect Plugins:")
PRINT_SUMMARY ("SoX Resampler ........................." USE_SOXR SOXR_FOUND)
PRINT_SUMMARY ("BS2B Plugin ..........................." USE_BS2B BS2B_FOUND)
PRINT_SUMMARY ("LADSPA Host ..........................." USE_LADSPA 1)
PRINT_SUMMARY ("Crossfade ............................." USE_CROSSFADE 1)
PRINT_SUMMARY ("Extra Stereo .........................." USE_STEREO 1)
PRINT_SUMMARY ("File Writer ..........................." USE_FILEWRITER VORBISENC_FOUND)
PRINT_SUMMARY ("Mono to Stereo Converter .............." USE_MONOTOSTEREO 1)

MESSAGE("")
MESSAGE("Visual Plugins:")
PRINT_SUMMARY ("Analyzer .............................." USE_ANALYZER 1)
PRINT_SUMMARY ("ProjectM .............................." USE_PROJECTM PROJECTM_FOUND)

MESSAGE("")
MESSAGE("General Plugins:")
PRINT_SUMMARY ("MPRIS support ........................." USE_MPRIS Qt5DBus_FOUND)
PRINT_SUMMARY ("Scrobbler ............................." USE_SCROBBLER 1)
PRINT_SUMMARY ("Tray support .........................." USE_STATICON 1)
PRINT_SUMMARY ("Notifier support ......................" USE_NOTIFIER 1)
PRINT_SUMMARY ("Lyrics support ........................" USE_LYRICS 1)
PRINT_SUMMARY ("HAL support ..........................." USE_HAL Qt5DBus_FOUND)
PRINT_SUMMARY ("UDisks2 support ......................." USE_UDISKS2 Qt5DBus_FOUND)
PRINT_SUMMARY ("Global hotkey support ................." USE_HOTKEY X11_FOUND AND XCB_H_FOUND AND Qt5X11Extras_FOUND)
PRINT_SUMMARY ("GNOME/Cinnamon hotkey support ........." USE_GNOMEHOTKEY Qt5DBus_FOUND)
PRINT_SUMMARY ("File operations ......................." USE_FILEOPS 1)
PRINT_SUMMARY ("Cover manager ........................." USE_COVER 1)
PRINT_SUMMARY ("KDE notifications support ............." USE_KDENOTIFY Qt5DBus_FOUND)
PRINT_SUMMARY ("Audio converter ......................." USE_CONVERTER TAGLIB_FOUND)
PRINT_SUMMARY ("ReplayGain Scanner ...................." USE_RGSCAN TAGLIB_FOUND)
PRINT_SUMMARY ("Stream browser ........................" USE_SB 1)
PRINT_SUMMARY ("Track change .........................." USE_TRACKCHANGE 1)
PRINT_SUMMARY ("Copy/Paste ............................" USE_COPYPASTE 1)
PRINT_SUMMARY ("History plugin ........................" USE_HISTORY Qt5Sql_FOUND)
PRINT_SUMMARY ("Taskbar plugin (Windows) .............." USE_TASKBAR Qt5WinExtras_FOUND)
PRINT_SUMMARY ("Removable device detection (Windows) .." USE_RDETECT Qt5WinExtras_FOUND)

MESSAGE("")
MESSAGE("File Dialogs:")
PRINT_SUMMARY ("QMMP File Dialog ......................" USE_QMMP_DIALOG 1)
PRINT_SUMMARY ("Two-panel File File Dialog ............" USE_TWO_PANEL_DIALOG 1)

MESSAGE("")
MESSAGE("Advanced:")
PRINT_SUMMARY ("Skinned user interface ................" USE_SKINNED X11_FOUND AND Qt5X11Extras_FOUND)
PRINT_SUMMARY ("Simple user interface (QSUI) .........." USE_QSUI 1)
PRINT_SUMMARY ("Automatic charset detection ..........." USE_ENCA ENCA_FOUND)
PRINT_SUMMARY ("Directory association ................." USE_DIR_ASSOC 1)
PRINT_SUMMARY ("Set RPATH in installed binaries ......." CMAKE_INSTALL_RPATH_USE_LINK_PATH 1)
IF(MPEG_DECODERS)
MESSAGE       ("MPEG decoders ........................." "${MPEG_DECODERS}")
ENDIF(MPEG_DECODERS)

MESSAGE("")

=== src/app/CMakeLists.txt ===
project(app)

INCLUDE(UsePkgConfig)

ADD_DEFINITIONS( -Wall )
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_THREAD)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})


# libqmmp & libqmmpui
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../)

link_directories(${CMAKE_INSTALL_PREFIX}/${LIB_DIR})
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../qmmpui)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../qmmp)

SET(app_SRCS
    builtincommandlineoption.cpp
    main.cpp
    qmmpstarter.cpp
)

SET(app_RCCS images/images.qrc translations/qmmp_locales.qrc)

QT5_ADD_RESOURCES(app_RCC_SRCS ${app_RCCS})

# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ADD_EXECUTABLE(qmmp ${app_SRCS} ${app_RCC_SRCS})
target_link_libraries(qmmp Qt5::Widgets libqmmp libqmmpui)
SET_TARGET_PROPERTIES(qmmp PROPERTIES OUTPUT_NAME qmmp${APP_NAME_SUFFIX})
add_dependencies(qmmp libqmmpui libqmmp)

install(TARGETS qmmp DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES qmmp.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
install(FILES qmmp${APP_NAME_SUFFIX}.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
install(FILES images/16x16/qmmp${APP_NAME_SUFFIX}.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/16x16/apps)
install(FILES images/32x32/qmmp${APP_NAME_SUFFIX}.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
install(FILES images/48x48/qmmp${APP_NAME_SUFFIX}.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps)
install(FILES images/scalable/qmmp${APP_NAME_SUFFIX}.svgz images/scalable/qmmp-simple${APP_NAME_SUFFIX}.svgz DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)

IF(USE_DIR_ASSOC)
    install(FILES qmmp-enqueue${APP_NAME_SUFFIX}.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
    install(FILES qmmp-dir${APP_NAME_SUFFIX}.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
ENDIF(USE_DIR_ASSOC)

=== src/qmmp/CMakeLists.txt ===
project(libqmmp)

ADD_DEFINITIONS(-DQMMP_LIBRARY)
SET(libqmmp_DEFINES
    LIB_DIR="/${LIB_DIR}"
    QMMP_INSTALL_PREFIX="${CMAKE_INSTALL_PREFIX}"
    APP_NAME_SUFFIX="${APP_NAME_SUFFIX}"
)

IF(NOT QMMP_VERSION_STABLE) #add svn revision
execute_process(COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/svn_revision.sh
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                OUTPUT_VARIABLE SVN_REVISION
                OUTPUT_STRIP_TRAILING_WHITESPACE)
IF(SVN_REVISION)
SET(libqmmp_DEFINES ${libqmmp_DEFINES} SVN_REVISION="${SVN_REVISION}")
ENDIF(SVN_REVISION)
ENDIF(NOT QMMP_VERSION_STABLE)

SET(libqmmp_DEFINES ${libqmmp_DEFINES} QMMP_PLUGIN_DIR="${CMAKE_INSTALL_PREFIX}/${PLUGIN_DIR}")

include_directories(${CMAKE_CURRENT_BINARY_DIR})

SET(QMMP_DEFAULT_OUTPUT "" CACHE STRING "default output plugin")
IF(QMMP_DEFAULT_OUTPUT)
    SET(libqmmp_DEFINES ${libqmmp_DEFINES} QMMP_DEFAULT_OUTPUT="${QMMP_DEFAULT_OUTPUT}")
    MESSAGE(STATUS "Default output: ${QMMP_DEFAULT_OUTPUT}")
ENDIF(QMMP_DEFAULT_OUTPUT)


SET(libqmmp_SRCS
    visual.cpp
    recycler.cpp
    decoder.cpp
    output.cpp
    outputwriter.cpp
    trackinfo.cpp
    equ/iir.c
    equ/iir_cfs.c
    equ/iir_fpu.c
    soundcore.cpp
    effect.cpp
    qmmp.cpp
    statehandler.cpp
    volumecontrol.cpp
    metadatamodel.cpp
    tagmodel.cpp
    qmmpaudioengine.cpp
    abstractengine.cpp
    audioparameters.cpp
    inputsource.cpp
    fileinputsource.cpp
    emptyinputsource.cpp
    metadatamanager.cpp
    replaygain.cpp
    qmmpsettings.cpp
    audioconverter.cpp
    eqsettings.cpp
    qmmpevents.cpp
    qmmpplugincache.cpp
    channelmap.cpp
    channelconverter.cpp
    volume.cpp
    dithering.cpp
    visualbuffer.cpp
)

SET(libqmmp_HDRS
    qmmpevents_p.h
    outputfactory.h
    decoderfactory.h
    effectfactory.h
    equ/iir_cfs.h
    equ/iir_fpu.h
    equ/iir.h
    visualfactory.h
    recycler_p.h
    buffer.h
    effect.h
    qmmp.h
    replaygain_p.h
    trackinfo.h
    audioconverter.h
    qmmpplugincache_p.h
    eqsettings.h
    decoder.h
    tagmodel.h
    audioparameters.h
    inputsourcefactory.h
    enginefactory.h
    metadatamanager.h
    output.h
    channelmap.h
    channelconverter_p.h
    dithering_p.h
    visualbuffer_p.h
    qmmp_export.h
)

SET(libqmmp_DEVEL_HDRS
    abstractengine.h
    audioconverter.h
    audioparameters.h
    buffer.h
    channelmap.h
    decoderfactory.h
    decoder.h
    effectfactory.h
    effect.h
    enginefactory.h
    eqsettings.h
    trackinfo.h
    inputsourcefactory.h
    inputsource.h
    metadatamanager.h
    metadatamodel.h
    outputfactory.h
    output.h
    qmmp.h
    qmmpsettings.h
    soundcore.h
    statehandler.h
    tagmodel.h
    trackinfo.h
    visualfactory.h
    visual.h
    volume.h
    qmmp_export.h
)

# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(libqmmp SHARED ${libqmmp_SRCS} ${libqmmp_HDRS})
target_link_libraries(libqmmp Qt5::Widgets)
SET_TARGET_PROPERTIES(libqmmp PROPERTIES VERSION ${QMMP_VERSION} SOVERSION ${QMMP_SOVERSION} OUTPUT_NAME qmmp${APP_NAME_SUFFIX})
target_compile_definitions(libqmmp PRIVATE ${libqmmp_DEFINES})
install(TARGETS libqmmp LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
                        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
                        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

IF(APP_NAME_SUFFIX)
    install(FILES ${libqmmp_DEVEL_HDRS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qmmp${APP_NAME_SUFFIX}/qmmp)
    SET(QMMP_INCLUDE_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/qmmp${APP_NAME_SUFFIX})
ELSE()
    install(FILES ${libqmmp_DEVEL_HDRS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qmmp)
    SET(QMMP_INCLUDE_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR})
ENDIF()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/qmmp.pc.in ${CMAKE_CURRENT_BINARY_DIR}/qmmp${APP_NAME_SUFFIX}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qmmp${APP_NAME_SUFFIX}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== src/plugins/FileDialogs/CMakeLists.txt ===
SET(USE_QMMP_DIALOG TRUE CACHE BOOL "enable/disable Qmmp file dialog")
SET(USE_TWO_PANEL_DIALOG TRUE CACHE BOOL "enable/disable Two-panel file dialog")

IF(USE_QMMP_DIALOG)
add_subdirectory(QmmpFileDialog)
ENDIF(USE_QMMP_DIALOG)

IF(USE_TWO_PANEL_DIALOG)
add_subdirectory(TwoPanelFileDialog)
ENDIF(USE_TWO_PANEL_DIALOG)

=== src/plugins/General/CMakeLists.txt ===
SET(USE_MPRIS TRUE CACHE BOOL "enable/disable mpris plugin")
SET(USE_SCROBBLER TRUE CACHE BOOL "enable/disable scrobbler plugin")
SET(USE_STATICON TRUE CACHE BOOL "enable/disable status icon plugin")
SET(USE_NOTIFIER TRUE CACHE BOOL "enable/disable notifier plugin")
SET(USE_LYRICS TRUE CACHE BOOL "enable/disable lyrics version")
SET(USE_HAL (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD") CACHE BOOL "enable/disable hal plugin")
SET(USE_UDISKS2 TRUE CACHE BOOL "enable/disable udisks2 plugin")
SET(USE_HOTKEY TRUE CACHE BOOL "enable/disable global hotkey plugin")
SET(USE_GNOMEHOTKEY TRUE CACHE BOOL "enable/disable gnome hotkey plugin")
SET(USE_FILEOPS TRUE CACHE BOOL "enable/disable fileops plugin")
SET(USE_COVER TRUE CACHE BOOL "enable/disable cover manager plugin")
SET(USE_KDENOTIFY TRUE CACHE BOOL "enable/disable kde notification plugin")
SET(USE_CONVERTER TRUE CACHE BOOL "enable/disable audio converter plugin")
SET(USE_RGSCAN TRUE CACHE BOOL "enable/disable replaygain scanner plugin")
SET(USE_SB TRUE CACHE BOOL "enable/disable stream browser plugin")
SET(USE_TRACKCHANGE TRUE CACHE BOOL "enable/disable track change plugin")
SET(USE_COPYPASTE TRUE CACHE BOOL "enable/disable copy/paste change plugin")
SET(USE_HISTORY TRUE CACHE BOOL "enable/disable history plugin")
SET(USE_TASKBAR TRUE CACHE BOOL "enable/disable taskbar plugin (Windows)")
SET(USE_RDETECT TRUE CACHE BOOL "enable/disable rdetect plugin (Windows)")

IF(USE_MPRIS AND Qt5DBus_FOUND)
add_subdirectory(mpris)
ENDIF(USE_MPRIS AND Qt5DBus_FOUND)

IF(USE_SCROBBLER)
add_subdirectory(scrobbler)
ENDIF(USE_SCROBBLER)

IF(USE_STATICON)
add_subdirectory(statusicon)
ENDIF(USE_STATICON)

IF(USE_NOTIFIER)
add_subdirectory(notifier)
ENDIF(USE_NOTIFIER)

IF(USE_LYRICS)
add_subdirectory(lyrics)
ENDIF(USE_LYRICS)

IF(USE_HAL AND Qt5DBus_FOUND)
add_subdirectory(hal)
ENDIF(USE_HAL AND Qt5DBus_FOUND)

IF(USE_UDISKS2 AND Qt5DBus_FOUND)
add_subdirectory(udisks2)
ENDIF(USE_UDISKS2 AND Qt5DBus_FOUND)

IF(USE_HOTKEY AND Qt5X11Extras_FOUND)
add_subdirectory(hotkey)
ENDIF(USE_HOTKEY AND Qt5X11Extras_FOUND)

IF(USE_FILEOPS)
add_subdirectory(fileops)
ENDIF(USE_FILEOPS)

IF(USE_COVER)
add_subdirectory(covermanager)
ENDIF(USE_COVER)

IF(USE_KDENOTIFY AND Qt5DBus_FOUND)
add_subdirectory(kdenotify)
ENDIF(USE_KDENOTIFY AND Qt5DBus_FOUND)

IF(USE_CONVERTER AND TAGLIB_FOUND)
add_subdirectory(converter)
ENDIF(USE_CONVERTER AND TAGLIB_FOUND)

IF(USE_RGSCAN AND TAGLIB_FOUND)
add_subdirectory(rgscan)
ENDIF(USE_RGSCAN AND TAGLIB_FOUND)

IF(USE_SB)
add_subdirectory(streambrowser)
ENDIF(USE_SB)

IF(USE_TRACKCHANGE)
add_subdirectory(trackchange)
ENDIF(USE_TRACKCHANGE)

IF(USE_COPYPASTE)
add_subdirectory(copypaste)
ENDIF(USE_COPYPASTE)

IF(USE_GNOMEHOTKEY AND Qt5DBus_FOUND)
add_subdirectory(gnomehotkey)
ENDIF(USE_GNOMEHOTKEY AND Qt5DBus_FOUND)

IF(USE_HISTORY AND Qt5Sql_FOUND)
add_subdirectory(history)
ENDIF(USE_HISTORY AND Qt5Sql_FOUND)

IF(USE_TASKBAR AND Qt5WinExtras_FOUND)
add_subdirectory(taskbar)
ENDIF(USE_TASKBAR AND Qt5WinExtras_FOUND)

IF(USE_RDETECT AND Qt5WinExtras_FOUND)
add_subdirectory(rdetect)
ENDIF(USE_RDETECT AND Qt5WinExtras_FOUND)

=== src/plugins/FileDialogs/QmmpFileDialog/CMakeLists.txt ===
project(libqmmpfiledialog)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# libqmmpui
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmpui)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

SET(libqmmpfiledialog_SRCS
    qmmpfiledialogimpl.cpp
    qmmpfiledialog.cpp
)

SET(libqmmpfiledialog_RCCS
    translations/translations.qrc)

QT5_ADD_RESOURCES(libqmmpfiledialog_RCC_SRCS ${libqmmpfiledialog_RCCS})

# user interface


SET(libqmmpfiledialog_UIS
    qmmpfiledialog.ui
)

QT5_WRAP_UI(libqmmpfiledialog_UIS_H ${libqmmpfiledialog_UIS})
# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(qmmpfiledialog MODULE ${libqmmpfiledialog_SRCS} ${libqmmpfiledialog_UIS_H} ${libqmmpfiledialog_RCC_SRCS})
add_dependencies(qmmpfiledialog libqmmpui)
target_link_libraries(qmmpfiledialog Qt5::Widgets libqmmpui libqmmp)
install(TARGETS qmmpfiledialog DESTINATION ${PLUGIN_DIR}/FileDialogs)

=== src/plugins/General/copypaste/CMakeLists.txt ===
project(libcopypaste)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# libqmmpui & libqmmp
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmpui)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

SET(libcopypaste_SRCS
    copypaste.cpp
    copypastefactory.cpp
)

SET(libcopypaste_RCCS 
    translations/translations.qrc)

QT5_ADD_RESOURCES(libcopypaste_RCC_SRCS ${libcopypaste_RCCS})

# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(copypaste MODULE ${libcopypaste_SRCS} ${libcopypaste_UIS_H} ${libcopypaste_RCC_SRCS})
add_dependencies(copypaste libqmmpui)
target_link_libraries(copypaste Qt5::Widgets libqmmpui libqmmp)
install(TARGETS copypaste DESTINATION ${PLUGIN_DIR}/General)

=== src/plugins/General/fileops/CMakeLists.txt ===
project(libfileops)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# libqmmpui & libqmmp
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmpui)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

SET(libfileops_SRCS
    fileops.cpp
    fileopsfactory.cpp
    settingsdialog.cpp
    hotkeydialog.cpp
)

SET(libfileops_RCCS 
    translations/translations.qrc)

QT5_ADD_RESOURCES(libfileops_RCC_SRCS ${libfileops_RCCS})

# user interface

SET(libfileops_UIS
    settingsdialog.ui
    hotkeydialog.ui
)

QT5_WRAP_UI(libfileops_UIS_H ${libfileops_UIS})
# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(fileops MODULE ${libfileops_SRCS} ${libfileops_UIS_H} ${libfileops_RCC_SRCS})
add_dependencies(fileops libqmmpui)
target_link_libraries(fileops Qt5::Widgets libqmmpui libqmmp)
install(TARGETS fileops DESTINATION ${PLUGIN_DIR}/General)

=== src/plugins/General/hal/CMakeLists.txt ===
project(libhal)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# libqmmpui & libqmmp
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmpui)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

SET(libhal_SRCS
    halfactory.cpp
    halmanager.cpp
    halplugin.cpp
    haldevice.cpp
    settingsdialog.cpp
)

SET(libhal_RCCS translations/translations.qrc)

QT5_ADD_RESOURCES(libhal_RCC_SRCS ${libhal_RCCS})

# user interface

SET(libhal_UIS
    settingsdialog.ui
)

QT5_WRAP_UI(libhal_UIS_H ${libhal_UIS})
# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(hal MODULE ${libhal_SRCS} ${libhal_UIS_H} ${libhal_RCC_SRCS})
add_dependencies(hal libqmmpui)
target_link_libraries(hal Qt5::Widgets Qt5::DBus libqmmpui libqmmp)
install(TARGETS hal DESTINATION ${PLUGIN_DIR}/General)

=== src/plugins/General/lyrics/CMakeLists.txt ===
project(liblyrics)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# libqmmpui & libqmmp
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmpui)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

SET(liblyrics_SRCS
    lyrics.cpp
    lyricsfactory.cpp
    lyricswindow.cpp
)

SET(liblyrics_RCCS 
    translations/translations.qrc)

QT5_ADD_RESOURCES(liblyrics_RCC_SRCS ${liblyrics_RCCS})

# user interface

SET(liblyrics_UIS
    lyricswindow.ui
)

QT5_WRAP_UI(liblyrics_UIS_H ${liblyrics_UIS})
# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(lyrics MODULE ${liblyrics_SRCS} ${liblyrics_UIS_H} ${liblyrics_RCC_SRCS})
add_dependencies(lyrics libqmmpui)
target_link_libraries(lyrics Qt5::Widgets Qt5::Network libqmmpui libqmmp)
install(TARGETS lyrics DESTINATION ${PLUGIN_DIR}/General)

=== src/plugins/General/mpris/CMakeLists.txt ===
project(libmpris)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# libqmmpui & libqmmp
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmpui)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

SET(libmpris_SRCS
    mpris.cpp
    mprisfactory.cpp
    mpris2/root2object.cpp
    mpris2/player2object.cpp
)

SET(libmpris_RCCS translations/translations.qrc)

QT5_ADD_RESOURCES(libmpris_RCC_SRCS ${libmpris_RCCS})

# user interface


# QT5_WRAP_UI(libmpris_UIS_H ${libmpris_UIS})
# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(mpris MODULE ${libmpris_SRCS} ${libmpris_RCC_SRCS})
add_dependencies(mpris libqmmpui)
target_link_libraries(mpris Qt5::Widgets Qt5::DBus libqmmpui libqmmp)
install(TARGETS mpris DESTINATION ${PLUGIN_DIR}/General)

=== src/plugins/General/notifier/CMakeLists.txt ===
project(libnotifier)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# libqmmpui & libqmmp
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../../)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmpui)
link_directories(${CMAKE_CURRENT_BINARY_DIR}/../../../qmmp)

SET(libnotifier_SRCS
    settingsdialog.cpp
    notifier.cpp
    notifierfactory.cpp
    popupwidget.cpp
)

SET(libnotifier_RCCS
    translations/translations.qrc
    notifier_images.qrc)

QT5_ADD_RESOURCES(libnotifier_RCC_SRCS ${libnotifier_RCCS})

# user interface


SET(libnotifier_UIS
    settingsdialog.ui
)

QT5_WRAP_UI(libnotifier_UIS_H ${libnotifier_UIS})
# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ADD_LIBRARY(notifier MODULE ${libnotifier_SRCS} ${libnotifier_UIS_H} ${libnotifier_RCC_SRCS})
add_dependencies(notifier libqmmpui)
IF(X11_FOUND AND Qt5X11Extras_FOUND)
  include_directories(${X11_INCLUDE_DIRS})
  link_directories(${X11_LIBRARY_DIRS})
  ADD_DEFINITIONS(${X11_CFLAGS})
  ADD_DEFINITIONS(-DX11_FOUND)
  target_link_libraries(notifier Qt5::X11Extras Qt5::Widgets ${X11_LDFLAGS} libqmmpui libqmmp)
ELSE(X11_FOUND AND Qt5X11Extras_FOUND)
  target_link_libraries(notifier Qt5::Widgets libqmmpui libqmmp)
ENDIF(X11_FOUND AND Qt5X11Extras_FOUND)
install(TARGETS notifier DESTINATION ${PLUGIN_DIR}/General)

=== debian/changelog ===
qmmp (1.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop qmmp-plugin-projectm, projectm is being removed (Closes: #952775)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 03 Mar 2020 21:44:54 +0100

qmmp (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1

 -- Matteo Cypriani <mcy@lm7.fr>  Tue, 05 Mar 2019 23:38:04 +0100

qmmp (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 04 Mar 2019 23:19:56 +0100

=== debian/control ===
Source: qmmp
Section: sound
Priority: optional
Maintainer: Matteo Cypriani <mcy@lm7.fr>
Build-Depends: debhelper (>= 12), cmake, pkg-config, qtbase5-dev (>= 5.4),
  libqt5x11extras5-dev (>= 5.4), qttools5-dev (>= 5.4),
  qttools5-dev-tools (>= 5.4),
  qtchooser, libx11-dev, oss4-dev [!linux-any], libmad0-dev, libvorbis-dev,
  libogg-dev, libasound2-dev [linux-any], libtag1-dev (>= 1.10),
  libcurl4-gnutls-dev, qtmultimedia5-dev (>= 5.4), libmms-dev,
  libflac-dev, libmpcdec-dev, libjack-jackd2-dev, libsoxr-dev,
  libmodplug-dev, libsndfile1-dev, libwavpack-dev, libpulse-dev,
  libavcodec-dev, libavformat-dev, libcdio-dev, libcdio-paranoia-dev,
  libcddb2-dev, libfaad-dev, libgme-dev, libopus-dev (>= 1.0.2),
  libopusfile-dev, libwildmidi-dev, libsidplayfp-dev (>= 1.0.3),
  libbs2b-dev, libenca-dev,
  libarchive-dev (>= 3.2), libshout3-dev
Standards-Version: 4.3.0
Homepage: http://qmmp.ylsoftware.com/
Vcs-Git: https://salsa.debian.org/debian/qmmp.git
Vcs-Browser: https://salsa.debian.org/debian/qmmp

Package: qmmp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: mplayer, unzip, udisks2 [linux-any],
  hal [!linux-any]
Replaces: libqmmp0 (<< 0.8), libqmmpui0 (<< 0.8), libqmmp-misc (<< 0.8)
Breaks: libqmmp0 (<< 0.8), libqmmpui0 (<< 0.8), libqmmp-misc (<< 0.8)
Description: feature-rich audio player with support of many formats
 Qmmp is feature-rich audio player with support of many formats.
 It is written in Qt.
 .
 Supported formats:
  - MPEG1 layer 2/3
  - Ogg Vorbis
  - Ogg Opus
  - Native FLAC, Ogg FLAC
  - Musepack
  - WavePack
  - tracker modules (mod, s3m, it, xm, etc)
  - ADTS AAC
  - CD Audio
  - WMA, Monkey's Audio (and other formats provided by FFmpeg library)
  - PCM WAVE (and other formats provided by libsndfile library)
  - midi
  - SID
  - chiptune formats (AY, GBS, GYM, HES, KSS, NSF, NSFE, SAP, SPC, VGM, VGZ,
    VTX)
 .
 DSP effects:
  - BS2B effect
  - sample rate converter
  - LADSPA effects
  - extra stereo
  - crossfade
 .
 Audio output through:
  - ALSA
  - OSS
  - PulseAudio
  - JACK
  - QTMultimedia
  - Icecast
 .
 Other features:
  - XMMS and Winamp 2.x skins support
  - 10-band equalizer
  - MP3, Vorbis, AAC, AAC+ streams support
  - mms support
  - MPRIS (1.0 and 2.0)
  - removable device detection (via HAL or UDisks)
  - video playback via Mplayer
  - lyrics (using lyrics.wikia.com)
  - cover art support
  - CUE sheet support
  - embedded CUE support (for FLAC and WavPack)
  - multiple playlists
  - automatic charset detection for cue files and ShoutCast metadata
  - playlist formats: m3u, pls, xspf
  - ReplayGain support
  - Last.fm/Libre.fm scrobbler
  - CDDB support
  - audio converter
  - stream browser
  - audio formats converter
  - external programs execution on track change
  - ReplayGain scanner
  - archive reader
  - audio recording
  - visualization (spectre analyzer)
  - global hotkeys

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_HOST_ARCH_OS),linux)
	EXTRA_CMAKE_ARGS = -DUSE_HAL:BOOL=FALSE -DUSE_OSS4:BOOL=FALSE
else
	EXTRA_CMAKE_ARGS = -DUSE_ALSA:BOOL=FALSE -DUSE_UDISKS:BOOL=FALSE
endif

# For hardening (CPPFLAGS is not taken into account by upstream's build system)
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

# Prevent useless dependencies
LDFLAGS += -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr \
	  -DCMAKE_INSTALL_LIBDIR=lib/qmmp \
	  -DPLUGIN_DIR=lib/qmmp/qmmp \
	  -DCMAKE_INSTALL_RPATH=/usr/lib/qmmp \
	  -DCMAKE_BUILD_WITH_INSTALL_RPATH:BOOL=TRUE \
	  $(EXTRA_CMAKE_ARGS)

override_dh_auto_build:
	dh_auto_build -- VERBOSE=1

override_dh_install:
	chmod +x debian/qmmp/usr/share/qmmp/scripts/kwin.sh

# Avoid a call to ldconfig in postinst & postrm (ldconfig is not needed since we
# only install private libraries)
override_dh_makeshlibs:
	dh_makeshlibs --noscripts

# dh_auto_clean doesn't call make distclean automatically from the CMake build
# directory, so we have to remove leftover .qm files manually
override_dh_auto_clean:
	find -name '*.qm' | xargs rm -fv
	dh_auto_clean

=== debian/watch ===
version=3
http://qmmp.ylsoftware.com/files/ qmmp-(.+)\.tar\.bz2 debian uupdate

## qmmp 1.3.4

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,12 @@
 install(FILES images/16x16/qmmp${APP_NAME_SUFFIX}.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/16x16/apps)
 install(FILES images/32x32/qmmp${APP_NAME_SUFFIX}.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps)
 install(FILES images/48x48/qmmp${APP_NAME_SUFFIX}.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps)
+install(FILES images/56x56/qmmp${APP_NAME_SUFFIX}.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/56x56/apps)
+install(FILES images/64x64/qmmp${APP_NAME_SUFFIX}.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/64x64/apps)
+install(FILES images/128x128/qmmp${APP_NAME_SUFFIX}.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/128x128/apps)
+install(FILES images/256x256/qmmp${APP_NAME_SUFFIX}.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/256x256/apps)
 install(FILES images/scalable/qmmp${APP_NAME_SUFFIX}.svgz images/scalable/qmmp-simple${APP_NAME_SUFFIX}.svgz DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
+install(FILES appdata/qmmp${APP_NAME_SUFFIX}.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
 
 IF(USE_DIR_ASSOC)
     install(FILES qmmp-enqueue${APP_NAME_SUFFIX}.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

=== debian/changelog ===
qmmp (1.3.4-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 15 Sep 2019 16:00:19 -0700

qmmp (1.3.4-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Tue, 27 Aug 2019 23:02:24 +0300

qmmp (1.3.3-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Sat, 15 Jun 2019 22:08:55 +0300

qmmp (1.3.2-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Sun, 05 May 2019 00:04:52 +0300

qmmp (1.3.1-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Sun, 24 Feb 2019 20:05:54 +0300

qmmp (1.3.0-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <iokotov@astralinux.ru>  Sun, 10 Feb 2019 14:23:25 +0300

qmmp (1.2.6-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Tue, 08 Jan 2019 13:58:51 +0300

qmmp (1.2.5-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Thu, 20 Dec 2018 23:09:15 +0300

qmmp (1.2.4-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Sat, 22 Sep 2018 01:11:15 +0300

qmmp (1.2.3-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Fri, 20 Jul 2018 19:16:40 +0300

qmmp (1.2.2-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Thu, 31 May 2018 20:14:59 +0300

qmmp (1.2.1-1ubuntu1~xenial1) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Thu, 19 Apr 2018 20:49:45 +0300

qmmp (1.2.0-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Sat, 25 Nov 2017 14:32:01 +0300

qmmp (1.1.12-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Sun, 22 Oct 2017 22:21:28 +0300

qmmp (1.1.11-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <i.kotov@rusbitech.ru>  Fri, 20 Oct 2017 21:46:19 +0300

qmmp (1.1.10-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 05 Aug 2017 00:15:26 +0300

qmmp (1.1.9-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 03 Jun 2017 12:27:29 +0300

qmmp (1.1.8-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Thu, 23 Mar 2017 22:42:01 +0300

qmmp (1.1.7-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 04 Feb 2017 16:33:20 +0300

qmmp (1.1.6-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Thu, 12 Jan 2017 18:11:17 +0300

qmmp (1.1.5-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Wed, 09 Nov 2016 17:56:03 +0300

qmmp (1.1.4-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Tue, 04 Oct 2016 13:05:10 +0300

qmmp (1.1.3-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sun, 28 Aug 2016 18:57:26 +0300

qmmp (1.1.2-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sat, 23 Jul 2016 16:26:42 +0300

qmmp (1.1.1-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Mon, 04 Jul 2016 20:58:18 +0300

qmmp (1.1.0-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Tue, 21 Jun 2016 22:24:17 +0300

qmmp (1.0.10-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Thu, 09 Jun 2016 20:23:36 +0300

qmmp (1.0.9-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Mon, 02 May 2016 15:27:40 +0300

qmmp (1.0.8-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Mon, 02 May 2016 13:48:57 +0300

qmmp (1.0.7-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Sun, 03 Apr 2016 15:28:50 +0300

qmmp (1.0.6-1ubuntu1~xenial0) xenial; urgency=medium

  * New upstream release.

 -- Ilya Kotov <forkotov02@hotmail.ru>  Wed, 27 Jan 2016 19:24:30 +0300

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,10 @@
 #export DH_VERBOSE=1
 #export DH_OPTIONS=-v
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-	EXTRA_CMAKE_ARGS = -DUSE_HAL:BOOL=FALSE -DUSE_OSS4:BOOL=FALSE
+	EXTRA_CMAKE_ARGS = -DUSE_HAL:BOOL=FALSE
 else
 	EXTRA_CMAKE_ARGS = -DUSE_ALSA:BOOL=FALSE -DUSE_UDISKS:BOOL=FALSE
 endif
@@ -27,16 +25,17 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr \
 	  -DCMAKE_INSTALL_LIBDIR=lib/qmmp \
-	  -DPLUGIN_DIR=lib/qmmp/qmmp \
 	  -DCMAKE_INSTALL_RPATH=/usr/lib/qmmp \
 	  -DCMAKE_BUILD_WITH_INSTALL_RPATH:BOOL=TRUE \
+	  -DUSE_ARCHIVE=FALSE \
 	  $(EXTRA_CMAKE_ARGS)
 
 override_dh_auto_build:
 	dh_auto_build -- VERBOSE=1
 
 override_dh_install:
-	chmod +x debian/qmmp/usr/share/qmmp/scripts/kwin.sh
+	dh_install -pqmmp-plugin-projectm
+	dh_install -Xprojectm
 
 # Avoid a call to ldconfig in postinst & postrm (ldconfig is not needed since we
 # only install private libraries)
@@ -48,3 +47,6 @@
 override_dh_auto_clean:
 	find -name '*.qm' | xargs rm -fv
 	dh_auto_clean
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
